Skip to:
Content
Pages
Categories
Search
Top
Bottom

HTTP authentication plugin compatibility

  • To get the HTTP authentication plugin running with bbPress 1.0.3 I had to do a few tweaks. Here is the diff from the original file and my modifications:

    42c42,45
    < global $bb_submenu;
    ---
    > if (function_exists('bb_admin_add_submenu')) { // Build 794+
    > bb_admin_add_submenu(__('HTTP authentication'), 'use_keys', 'http_admin_page');
    > } else {
    > global $bb_submenu;
    44c47,48
    < $bb_submenu['plugins.php'][] = array(__('HTTP authentication'), 'use_keys', 'http_admin_page');
    ---
    > $bb_submenu['plugins.php'][] = array(__('HTTP authentication'), 'use_keys', 'http_admin_page');
    > }
    176c180
    < $user_exists = bb_user_exists( $user );
    ---
    > $user_exists = bb_get_user( $user, array('by' => 'login') );
    226c230
    < ?>
    No newline at end of file
    ---
    > ?>

    Hope this helps someone.

    Regards,

    Gerald

You must be logged in to reply to this topic.